/* calliope_serial.css | by T. Meinike 06/26 */

*
{
  font-family: sans-serif;
}

h1
{
  font-size: 1.8em;
  margin: 0 auto -0.25em auto;
}

fieldset
{
  max-width: max-content;
  border-top-right-radius: 1em;
  padding: 1em;
  border: 1px solid #CCC;
  box-shadow: 0.2em 0.2em #CCC;
}

legend
{
  border: 1px solid #CCC;
  padding: 0.3em;
}

button
{
  display: inline-block;
  margin-bottom: 1em;
  padding: 0.3em;
  width: 11em;
  font-weight: bold;
}

button:hover
{
  opacity: 0.7;
}

fieldset > button:first-of-type
{
  color: #FFF;
  background-color: #090;
}

fieldset > button:last-of-type
{
  color: #FFF;
  background-color: #C00;
  float: right;
}

div > button
{
  width: 1.8em;
  height: 1.8em;
  font-size: 1em;
  border: none;
  display: block;
  margin: -0.2em 0 -0.4em -0.25em;
  padding: 0;
  background-color: transparent;
}

table
{
  width: 41.5em;
}

table, th, td
{
  border: 1px solid #CCC;
  border-collapse: collapse;
  padding: 0.5em;
}

th, td
{
  font-size: 1.2em;
}

th
{
  width: 7em;
  text-align: left;
  color: #333;
  background-color: #FFF;
  font-weight: normal;
}

td
{
  background-color: #EEE;
}

td:first-of-type
{
  width: 10em;
}

td:last-of-type
{
  width: 1em;
  background-color: #EEE;
  text-align: center;
}

tr:nth-of-type(1) > td
{
  color: #333;
}

tr:nth-of-type(2) > td
{
  color: #C00;
}

tr:nth-of-type(3) > td
{
  color: #090;
}

tr:nth-of-type(4) > td
{
  color: #00C;
}

input[type="checkbox"]
{
  width: 1.2em;
  height: 1.2em;
}

tr:nth-of-type(2) input[type="checkbox"]
{
  accent-color: #C00;
}

tr:nth-of-type(3) input[type="checkbox"]
{
  accent-color: #090;
}

tr:nth-of-type(4) input[type="checkbox"]
{
  accent-color: #00C;
}

div:not([class])
{
  display: block;
  visibility: hidden;
}

div.hide
{
  display: none;
}

div.show
{
  display: block;
}

div > object
{
  display: block;
  margin-top: 1.4em;
  margin-left: 0.15em;
}

span:first-of-type
{
  display: inline-block;
  font-size: 1.3em;
  margin-left: 0.2em;
  padding-bottom: 0;
  color: #C00;
  background-color: #FFF;
  vertical-align: middle;
}

span:last-of-type
{
  display: inline-block;
  text-align: center;
  vertical-align: middle;
  width: 20.5em;
}

img
{
  display: inline-block;
  vertical-align: bottom;
  height: 1.2em;
}

a
{
  color: #00C;
  background-color: #FFF;
}

a:hover
{
  color: #C00;
  background-color: #EEE;
  text-decoration: none;
}

.status-anim
{
  animation: pulsieren 1.2s ease-in-out infinite;
}

@keyframes pulsieren
{
  0%, 100%
  {
    color: #090;
  }
  50%
  {
    color: #FFF;
  }
}